/**
 * 接口地址url
 */
import { phpURL, javaURL } from './config.js'

//third library api

// php 80
export const php_api_third_url = `${javaURL}/common/user-third/third-url` //第三方登录url
export const php_api_third_register = `${javaURL}/common/user-third/third-register` //第三方登录url
export const php_api_third_bind = `${javaURL}/common/user/bind-ing-third` //绑定第三方账号
export const php_api_third_unbind = `${javaURL}/common/user/unbind-third` //解绑第三方账号

//php server api for browser
export const php_api_user_login = `${phpURL}/common/user/login` //手机号邮箱密码登录
export const php_api_user_mobile_code = `${phpURL}/common/user/mobile-code` //手机号验证码登录
export const php_api_user_login_out = `${phpURL}/common/user/login-out` //登出
export const php_api_user_find_pwd = `${phpURL}/common/user/find-pwd` //找回密码
export const php_api_user_register = `${phpURL}/common/user/register` //手机号或邮箱密码注册
export const php_api_user_verification = `${phpURL}/common/user/verification` //发送验证码
export const php_api_user_verification_code = `${phpURL}/common/user/verification-code` //验证码验证
export const php_api_link_list = `${phpURL}/www/v3/strategy/link-list` //友情链接
export const php_api_article_list = `${phpURL}/www/v3/strategy/article-list` //干货文章列表
export const php_api_article_detail = `${phpURL}/www/v3/strategy/article-details` // 文章详情
export const php_api_article_collect = `${phpURL}/common/user/collection` // 文章收藏
export const php_api_article_cancel_collect = `${phpURL}/common/user/cancel-collection` // 文章取消收藏
export const php_api_article_point = `${phpURL}/www/v3/strategy/point` // 文章点赞
export const php_api_article_cancel_point = `${phpURL}/www/v3/strategy/cancel-point` // 文章取消点赞
export const php_api_video_list = `${phpURL}/www/v3/strategy/video-list` //视频列表
export const php_api_video_hit = `${phpURL}/www/v3/strategy/video-hit` //更新视频阅读量
export const php_api_common_analytize = `${phpURL}/common/analytize` //流量统计
export const php_api_seo_ids = `${phpURL}/common/seo/ids` // seo获取id
export const php_api_common_address = `${phpURL}/common/address` //地址库统一接口
